#
#
# qmake configuration for win32-icc
#
# Written for Intel C++ 5.0.1, 6.0.1, and 7.0 for Windows.
#

MAKEFILE_GENERATOR	= MSVC
TEMPLATE		= app
CONFIG			+= qt warn_on release incremental link_prl
DEFINES			+= UNICODE

exists( $(TQTDIR)\.qtwinconfig ) {
	include( $(TQTDIR)\.qtwinconfig )
}

TQMAKE_CC		= icl
TQMAKE_LEX		= flex
TQMAKE_LEXFLAGS		= 
TQMAKE_YACC		= byacc
TQMAKE_YACCFLAGS		= -d
TQMAKE_CFLAGS		= -nologo -Zm200
TQMAKE_CFLAGS_WARN_ON	= -W3
TQMAKE_CFLAGS_WARN_OFF	= -W0
TQMAKE_CFLAGS_RELEASE	= 
TQMAKE_CFLAGS_DEBUG	= -Zi -Od
TQMAKE_CFLAGS_MT		= -MD
TQMAKE_CFLAGS_MT_DBG	= -MDd
TQMAKE_CFLAGS_MT_DLL	= -MD
TQMAKE_CFLAGS_MT_DLLDBG	= -MDd
TQMAKE_CFLAGS_YACC	=
TQMAKE_CFLAGS_STL_ON	= -GX
TQMAKE_CFLAGS_STL_OFF	=
TQMAKE_CFLAGS_RTTI_ON	= -GR
TQMAKE_CFLAGS_RTTI_OFF	=
TQMAKE_CFLAGS_EXCEPTIONS_ON = -GX
TQMAKE_CFLAGS_EXCEPTIONS_OFF =

TQMAKE_CXX		= $$TQMAKE_CC
TQMAKE_CXXFLAGS		= $$TQMAKE_CFLAGS
TQMAKE_CXXFLAGS_WARN_ON	= $$TQMAKE_CFLAGS_WARN_ON
TQMAKE_CXXFLAGS_WARN_OFF	= $$TQMAKE_CFLAGS_WARN_OFF
TQMAKE_CXXFLAGS_RELEASE	= $$TQMAKE_CFLAGS_RELEASE
TQMAKE_CXXFLAGS_DEBUG	= $$TQMAKE_CFLAGS_DEBUG
TQMAKE_CXXFLAGS_MT	= $$TQMAKE_CFLAGS_MT
TQMAKE_CXXFLAGS_MT_DBG	= $$TQMAKE_CFLAGS_MT_DBG
TQMAKE_CXXFLAGS_MT_DLL	= $$TQMAKE_CFLAGS_MT_DLL
TQMAKE_CXXFLAGS_MT_DLLDBG= $$TQMAKE_CFLAGS_MT_DLLDBG
TQMAKE_CXXFLAGS_YACC	= $$TQMAKE_CFLAGS_YACC
TQMAKE_CXXFLAGS_STL_ON	= $$TQMAKE_CFLAGS_STL_ON
TQMAKE_CXXFLAGS_STL_OFF	= $$TQMAKE_CFLAGS_STL_OFF
TQMAKE_CXXFLAGS_RTTI_ON	= $$TQMAKE_CFLAGS_RTTI_ON
TQMAKE_CXXFLAGS_RTTI_OFF	= $$TQMAKE_CFLAGS_RTTI_OFF
TQMAKE_CXXFLAGS_EXCEPTIONS_ON = $$TQMAKE_CFLAGS_EXCEPTIONS_ON
TQMAKE_CXXFLAGS_EXCEPTIONS_OFF = $$TQMAKE_CFLAGS_EXCEPTIONS_OFF

TQMAKE_INCDIR		=
TQMAKE_INCDIR_QT		= $(TQTDIR)\include
TQMAKE_LIBDIR_QT		= $(TQTDIR)\lib

TQMAKE_RUN_CC		= $(CC) -c $(CFLAGS) $(INCPATH) -Fo$obj $src
TQMAKE_RUN_CC_IMP	= $(CC) -c $(CFLAGS) $(INCPATH) -Fo$@ $<
TQMAKE_RUN_CC_IMP_BATCH	= $(CC) -c $(CFLAGS) $(INCPATH) -Fo$@ @<<
TQMAKE_RUN_CXX		= $(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo$obj $src
TQMAKE_RUN_CXX_IMP	= $(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo$@ $<
TQMAKE_RUN_CXX_IMP_BATCH	= $(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo$@ @<<

TQMAKE_LINK		= link
TQMAKE_LFLAGS		= /NOLOGO
TQMAKE_LFLAGS_RELEASE	= delayimp.lib /DELAYLOAD:comdlg32.dll /DELAYLOAD:oleaut32.dll /DELAYLOAD:winmm.dll /DELAYLOAD:wsock32.dll /DELAYLOAD:winspool.dll
TQMAKE_LFLAGS_DEBUG	= /DEBUG
TQMAKE_LFLAGS_CONSOLE	= /SUBSYSTEM:console
TQMAKE_LFLAGS_WINDOWS	= /SUBSYSTEM:windows
TQMAKE_LFLAGS_CONSOLE_DLL= /SUBSYSTEM:console /DLL
TQMAKE_LFLAGS_WINDOWS_DLL= /SUBSYSTEM:windows /DLL
TQMAKE_LFLAGS_TQT_DLL	= /BASE:0x39D00000

TQMAKE_LIBS		=
TQMAKE_LIBS_CONSOLE	=
TQMAKE_LIBS_WINDOWS	= kernel32.lib user32.lib gdi32.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib imm32.lib winmm.lib wsock32.lib winspool.lib
TQMAKE_LIBS_QT		= qt.lib
TQMAKE_LIBS_TQT_THREAD	= qt-mt.lib
TQMAKE_LIBS_TQT_ENTRY	= qtmain.lib

TQMAKE_LIBS_OPENGL	= opengl32.lib glu32.lib delayimp.lib
TQMAKE_LFLAGS_OPENGL	= /DELAYLOAD:opengl32.dll

TQMAKE_TQMOC		= $(TQTDIR)\bin\tqmoc.exe
TQMAKE_UIC		= $(TQTDIR)\bin\uic.exe
TQMAKE_IDC		= $(TQTDIR)\bin\idc.exe

TQMAKE_IDL		= midl
TQMAKE_LIB		= lib /NOLOGO
TQMAKE_RC		= rc

TQMAKE_ZIP		= zip -r -9

TQMAKE_COPY		= copy
TQMAKE_MOVE		= move
TQMAKE_DEL_FILE		= del
TQMAKE_DEL_DIR		= rmdir
TQMAKE_CHK_DIR_EXISTS	= if not exist
TQMAKE_MKDIR		= mkdir

DSP_EXTENSION		= .dsp
